"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _GithubFetcher = require("./GithubFetcher");

const plugin = {
  hooks: {
    async fetchHostedRepository(previous, locator, opts) {
      if (previous !== null) return previous;
      const fetcher = new _GithubFetcher.GithubFetcher();
      if (!fetcher.supports(locator, opts)) return null;

      try {
        return await fetcher.fetch(locator, opts);
      } catch (error) {
        return null;
      }
    }

  }
}; // eslint-disable-next-line arca/no-default-export

var _default = plugin;
exports.default = _default;